(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('crlf-normalize'), require('@lazy-spawn/strip-ansi')) :
	typeof define === 'function' && define.amd ? define(['exports', 'crlf-normalize', '@lazy-spawn/strip-ansi'], factory) :
	(global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global.LazySpawnStringify = {}, global.crlfNormalize, global.stripAnsi));
})(this, (function (exports, crlfNormalize, stripAnsi) { 'use strict';

	function crossSpawnOutput(buf, options = {
	  clearEol: true
	}) {
	  let output = '';

	  if (!Buffer.isBuffer(buf) && Array.isArray(buf)) {
	    output = buf.filter(function (b) {
	      return !(!b || !b.length);
	    }).map(function (b) {
	      return b.toString();
	    }).join("\n");
	  } else {
	    output = (buf || '').toString();
	  }

	  if (options.stripAnsi) {
	    output = stripAnsi.stripAnsiValue(output);
	  }

	  output = crlfNormalize.crlf(output);

	  if (options.clearEol || options.clearEol == null) {
	    output = output.replace(/\n+$/g, '');
	  }

	  return output;
	}

	exports.crossSpawnOutput = crossSpawnOutput;
	exports["default"] = crossSpawnOutput;

	Object.defineProperty(exports, '__esModule', { value: true });

}));
//# sourceMappingURL=index.umd.development.cjs.map
